Bug 128802 - Patch to add support for sqlite db (replaces or coexists w/ berkleydb)
Patch to add support for sqlite db (replaces or coexists w/ berkleydb)
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-07-29 14:15 EDT by Mark Hatle
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-07 15:50:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to implement sqlite back end DB (779.20 KB, application/octet-stream)
2004-07-29 14:19 EDT, Mark Hatle
no flags Details

  None (edit)
Description Mark Hatle 2004-07-29 14:15:36 EDT
Patch adds support for an sqlite backend database.  Use the __dbapi
and __dbiapi_rebuild you can change between sqlite and berkleydb as
your backend database.

The patch implemented the sqlite db as dbapi "4".
Comment 1 Mark Hatle 2004-07-29 14:19:24 EDT
Created attachment 102292 [details]
Patch to implement sqlite back end DB

Patch includs sqlite, automake and autoconf output files and the actual code to
support all of this.

The patch adds additional configure options of --with-sqlite and --without-db3
Comment 2 Jeff Johnson 2005-02-07 15:50:42 EST
Added in rpm-4.4.1-0.18. Thanks for the patch.

Note You need to log in before you can comment on or make changes to this bug.